  CONFIGrecord = Record
    VersionID     : Word;
    CommPort      : Byte;
    Baud          : LongInt;
    InitTries     : Byte;
    InitStr,
    BusyStr       : String[70];
    InitResp,
    BusyResp,
    Connect300,
    Connect1200,
    Connect2400,
    Connect4800,
    Connect9600,
    Connect19k,
    Connect38k    : String[40];
    AnswerPhone   : Boolean;
    Ring,
    AnswerStr     : String[20];
    FlushBuffer   : Boolean;
    ModemDelay    : Integer;

    MinimumBaud,
    GraphicsBaud,
    TransferBaud  : Integer;
    SlowBaudTimeStart,
    SlowBaudTimeEnd,
    DownloadTimeStart,
    DownloadTimeEnd,
    PagingTimeStart,
    PagingTimeEnd : Time;
    LoadingMsg,
    ListPrompt    : String[70];
    PwdExpiry     : Integer;

    MenuPath,
    TextPath,
    NetPath,
    NodelistPath,
    MsgBasePath,
    SysPath,
    ExternalEdCmd : String[60];

    Address       : Array[0..9] of NetAddress;
    SystemName    : String[30];

    NewSecurity   : Integer;
    NewCredit     : Integer;
    NewFlags      : FlagType;

    OriginLine    : String[60];
    QuoteString   : String[15];
    Sysop         : String[35];
    LogFileName   : String[60];
    FastLogon,
    AllowSysRem,
    MonoMode,
    StrictPwdChecking,
    DirectWrite,
    SnowCheck     : Boolean;
    CreditFactor  : Integer;

    UserTimeOut,
    LogonTime,
    PasswordTries,
    MaxPage,
    PageLength    : Integer;
    CheckForMultiLogon,
    ExcludeSysopFromList,
    OneWordNames,
    CheckMail,
    AskVoicePhone,
    AskDataPhone,
    DoFullMailCheck,
    AllowFileShells,
    FixUploadDates,
    ShowFileDates : Boolean;
    ANSI,                       { ANSI: Yes, no, or ask new users     }
    ClearScreen,                { Clear:        "                     }
    MorePrompt,                 { More:         "                     }
    UploadMsgs,
    KillSent      : AskType;    { Kill/Sent     "                     }

    CrashAskSec   : Integer;    { Min sec# to ask 'Crash Mail ?'      }
    CrashAskFlags : FlagType;
    CrashSec      : Integer;    { Min sec# to always send crash mail. }
    CrashFlags    : FlagType;
    FAttachSec    : Integer;    {        "    ask 'File Attach ?'     }
    FAttachFlags  : FlagType;

    NormFore,
    NormBack,
    StatFore,
    StatBack,
    HiBack,
    HiFore,
    WindFore,
    WindBack,
    ExitLocal,
    Exit300,
    Exit1200,
    Exit2400,
    Exit4800,
    Exit9600,
    Exit19k,
    Exit38k       : Byte;

    MultiLine     : Boolean;
    MinPwdLen     : Byte;
    MinUpSpace    : Word;
    HotKeys       : AskType;
    BorderFore,
    BorderBack,
    BarFore,
    BarBack,
    LogStyle      : Byte;

    FutureExpansion : Array[1..1024] of Byte;
  end;
